
/*!
 * @file game_rules.h
 * Defines game rules for this game
 */

#ifndef _MULTIPLAYER_TEAM_DEATHMATCH_H
#define _MULTIPLAYER_TEAM_DEATHMATCH_H

#include "game_rules.h"


class TiXmlElement;
class ObjectManager;
class Player;


class MultiplayerTeamDeathmatch : public GameRules
{

  public:
    MultiplayerTeamDeathmatch(const TiXmlElement root);
    virtual ~MultiplayerTeamDeathmatch();

    virtual void loadParams(const TiXmlElement* root);


    virtual void onPlayerSpawn(Player* player);
    virtual void onPlayerDeath(Player* player);


    virtual void tick(float dt);
    void draw();


  protected:
    virtual void checkMultiplayerTeamDeathmatch();
};


#endif /* _MULTIPLAYER_TEAM_DEATHMATCH_H */
